org.jfree.report.modules.gui.swing.pdf

## Class PdfExportTask

- java.lang.Object
- - org.jfree.report.modules.gui.swing.pdf.PdfExportTask

- All Implemented Interfaces:
    java.lang.Runnable

      public class PdfExportTask
      extends java.lang.Object
      implements java.lang.Runnable

  Creation-Date: 02.12.2006, 15:34:17
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfExportTask(ReportJob job)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfExportTask

          public PdfExportTask(ReportJob job)
                        throws ReportConfigurationException

      Throws:
        `ReportConfigurationException`

  - ### Method Detail

    - #### run

          public void run()

      When an object implementing interface `Runnable` is used to create a thread, starting the thread causes the object's `run` method to be called in that separately executing thread.

      The general contract of the method `run` is that it may take any action whatsoever.
      Specified by:
        `run` in interface `java.lang.Runnable`
      See Also:
        `Thread.run()`